Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Interface DragSourceListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  DragSourceContext

public interface DragSourceListener
extends EventListener

The `DragSourceListener` defines the event interface for originators of Drag and Drop operations to track the state of the user's gesture, and to provide appropriate "drag over" feedback to the user throughout the Drag and Drop operation.

Since:
  1.2

Method Summary
`void` | `dragDropEnd(DragSourceDropEvent dsde)` This method is invoked to signify that the Drag and Drop operation is complete.
`void` | `dragEnter(DragSourceDragEvent dsde)` Called as the hotspot enters a platform dependent drop site.
`void` | `dragExit(DragSourceEvent dse)` Called as the hotspot exits a platform dependent drop site.
`void` | `dragOver(DragSourceDragEvent dsde)` Called as the hotspot moves over a platform dependent drop site.
`void` | `dropActionChanged(DragSourceDragEvent dsde)` Called when the user has modified the drop gesture.

Method Detail

### dragEnter

    public void dragEnter(DragSourceDragEvent dsde)

  Called as the hotspot enters a platform dependent drop site. This method is invoked when the following conditions are true:
  - The logical cursor's hotspot initially intersects a GUI `Component`'s visible geometry.
  - That `Component` has an active `DropTarget` associated with it.
  - The `DropTarget`'s registered `DropTargetListener` dragEnter() method is invoked and returns successfully.
  - The registered `DropTargetListener` invokes the `DropTargetDragEvent`'s acceptDrag() method to accept the drag based upon interrogation of the source's potential drop action(s) and available data types (`DataFlavor`s).

  Parameters:
    `dsde` - the `DragSourceDragEvent`

### dragOver

    public void dragOver(DragSourceDragEvent dsde)

  Called as the hotspot moves over a platform dependent drop site. This method is invoked when the following conditions are true:
  - The cursor's logical hotspot has moved but still intersects the visible geometry of the `Component` associated with the previous dragEnter() invocation.
  - That `Component` still has a `DropTarget` associated with it.
  - That `DropTarget` is still active.
  - The `DropTarget`'s registered `DropTargetListener` dragOver() method is invoked and returns successfully.
  - The `DropTarget` does not reject the drag via rejectDrag()

  Parameters:
    `dsde` - the `DragSourceDragEvent`

### dropActionChanged

    public void dropActionChanged(DragSourceDragEvent dsde)

  Called when the user has modified the drop gesture. This method is invoked when the state of the input device(s) that the user is interacting with changes. Such devices are typically the mouse buttons or keyboard modifiers that the user is interacting with.

  Parameters:
    `dsde` - the `DragSourceDragEvent`

### dragExit

    public void dragExit(DragSourceEvent dse)

  Called as the hotspot exits a platform dependent drop site. This method is invoked when the following conditions are true:
  - The cursor's logical hotspot no longer intersects the visible geometry of the `Component` associated with the previous dragEnter() invocation.
  OR
  - The `Component` that the logical cursor's hotspot intersected that resulted in the previous dragEnter() invocation no longer has an active `DropTarget` or `DropTargetListener` associated with it.
  OR
  - The current `DropTarget`'s `DropTargetListener` has invoked rejectDrag() since the last dragEnter() or dragOver() invocation.

  Parameters:
    `dse` - the `DragSourceEvent`

### dragDropEnd

    public void dragDropEnd(DragSourceDropEvent dsde)

  This method is invoked to signify that the Drag and Drop operation is complete. The getDropSuccess() method of the `DragSourceDropEvent` can be used to determine the termination state. The getDropAction() method returns the operation that the `DropTarget` selected (via the DropTargetDropEvent acceptDrop() parameter) to apply to the Drop operation. Once this method is complete, the current `DragSourceContext` and associated resources become invalid.

  Parameters:
    `dsde` - the `DragSourceDropEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.